<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="AndroidLogFilters">
    <option name="TOOL_WINDOW_CONFIGURED_FILTER" value="Show only selected application" />
  </component>
  <component name="AvailableLibraryUpdateStorage">
    <library-updates>
      <library-update>
        <group-id>androidx.test.espresso</group-id>
        <name>espresso-core</name>
        <version>3.3.0</version>
        <repository>Google</repository>
      </library-update>
      <library-update>
        <group-id>androidx.test</group-id>
        <name>runner</name>
        <version>1.3.0</version>
        <repository>Google</repository>
      </library-update>
      <library-update>
        <group-id>androidx.constraintlayout</group-id>
        <name>constraintlayout</name>
        <version>2.0.1</version>
        <repository>Google</repository>
      </library-update>
      <library-update>
        <group-id>junit</group-id>
        <name>junit</name>
        <version>4.13</version>
        <repository>JCenter</repository>
      </library-update>
      <library-update>
        <group-id>androidx.appcompat</group-id>
        <name>appcompat</name>
        <version>1.3.0-alpha02</version>
        <repository>Google</repository>
      </library-update>
    </library-updates>
    <last-search-timestamp>1599310661031</last-search-timestamp>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="969ac474-f729-40d0-aba3-0260f39d4d7d" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view />
      </state>
    </system>
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_all/main/MainActivity.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="494">
              <caret line="64" column="89" lean-forward="true" selection-start-line="64" selection-start-column="7" selection-end-line="64" selection-end-column="89" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="navigationResourceFile" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/lib_common/src/main/java/com/maniu/lib_common/base/BaseActivity.java" />
        <option value="$PROJECT_DIR$/lib_common/src/main/java/com/maniu/lib_common/base/BaseApplication.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_all/MainActivity.java" />
        <option value="$PROJECT_DIR$/app/src/main/AndroidManifest.xml" />
        <option value="$PROJECT_DIR$/app/src/main/res/layout/activity_login.xml" />
        <option value="$PROJECT_DIR$/lib_common/src/main/java/com/maniu/lib_common/util/AppGlobals.java" />
        <option value="$PROJECT_DIR$/lib_cache/src/main/java/com/maniu/lib_cache/dao/UserDao.java" />
        <option value="$PROJECT_DIR$/lib_cache/src/main/java/com/maniu/lib_cache/model/User.java" />
        <option value="$PROJECT_DIR$/lib_cache/src/main/java/com/maniu/lib_cache/datebase/CacheDataBase.java" />
        <option value="$PROJECT_DIR$/lib_common/build.gradle" />
        <option value="$PROJECT_DIR$/lib_cache/src/main/java/com/maniu/lib_cache/view_model/LoginActivityViewModel.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_all/main/EFragment.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_all/main/BFragment.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_all/main/CFragment.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_all/main/DFragment.java" />
        <option value="$PROJECT_DIR$/app/build.gradle" />
        <option value="$PROJECT_DIR$/lib_cache/src/main/java/com/maniu/lib_cache/view_model/MainActivityViewModel.java" />
        <option value="$PROJECT_DIR$/app/src/main/res/layout/layout_toolbar.xml" />
        <option value="$PROJECT_DIR$/app/src/main/res/values/strings.xml" />
        <option value="$PROJECT_DIR$/lib_common/src/main/java/com/maniu/lib_common/base/BaseFragment.java" />
        <option value="$PROJECT_DIR$/app/src/main/res/navigation/nav_graph.xml" />
        <option value="$PROJECT_DIR$/app/src/main/res/layout/fragment_a.xml" />
        <option value="$PROJECT_DIR$/lib_cache/src/main/java/com/maniu/lib_cache/view_model/AFragmentViewModel.java" />
        <option value="$PROJECT_DIR$/lib_cache/build.gradle" />
        <option value="$PROJECT_DIR$/lib_cache/src/main/java/com/maniu/lib_cache/model/Story.java" />
        <option value="$PROJECT_DIR$/lib_cache/src/main/java/com/maniu/lib_cache/adapter/StoryAdapter.java" />
        <option value="$PROJECT_DIR$/lib_cache/src/main/res/layout/item_story.xml" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_all/main/AFragment.java" />
        <option value="$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml" />
        <option value="$PROJECT_DIR$/lib_common/src/main/java/com/maniu/lib_common/util/LiveDataBus.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_all/login/LoginActivity.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_all/main/MainActivity.java" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="31" />
    <option name="y" value="27" />
    <option name="width" value="1678" />
    <option name="height" value="1012" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="AndroidView" />
      <pane id="PackagesPane" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="MN_VIP_JetPack_All" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_JetPack_All" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_JetPack_All" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_JetPack_All" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_JetPack_All" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_JetPack_All" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_JetPack_All" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_JetPack_All" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_JetPack_All" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_JetPack_All" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_JetPack_All" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_JetPack_All" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="mn_vip_jetpack_all" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_JetPack_All" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_JetPack_All" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="mn_vip_jetpack_all" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="android.sdk.path" value="E:/Android/Sdk" />
    <property name="device.picker.selection" value="Pixel_3_API_24_2" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../MN_VIP_Navigations" />
    <property name="project.structure.last.edited" value="Dependencies" />
    <property name="project.structure.proportion" value="0.17" />
    <property name="project.structure.side.proportion" value="0.433281" />
    <property name="settings.editor.selected.configurable" value="AndroidSdkUpdater" />
    <property name="show.migrate.to.gradle.popup" value="false" />
  </component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.maniu.lib_common.util" />
      <recent name="com.maniu.lib_cache.adapter" />
      <recent name="com.maniu.lib_cache.model" />
      <recent name="com.maniu.lib_cache.view_model" />
      <recent name="com.maniu.lib_cache.dao" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="F:\MN_Android\MN_VIP_JetPack_All\lib_cache\src\main\res" />
      <recent name="F:\MN_Android\MN_VIP_JetPack_All\lib_cache\src\main\res\mipmap" />
      <recent name="F:\MN_Android\MN_VIP_JetPack_All\app\src\main\res\navigation" />
      <recent name="F:\MN_Android\MN_VIP_JetPack_All\app\src\main\res\drawable-v24" />
      <recent name="F:\MN_Android\MN_VIP_JetPack_All\app\src\main\res\menu" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="SHOW_DIALOG" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="969ac474-f729-40d0-aba3-0260f39d4d7d" name="Default Changelist" comment="" />
      <created>1599310189866</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1599310189866</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="31" y="27" width="1678" height="1012" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info id="Captures" order="0" side_tool="true" weight="0.25" />
      <window_info active="true" content_ui="combo" id="Project" order="1" visible="true" weight="0.24657534" />
      <window_info id="Structure" order="2" side_tool="true" />
      <window_info id="Build Variants" order="3" side_tool="true" />
      <window_info id="Image Layers" order="4" />
      <window_info id="Designer" order="5" />
      <window_info id="Resources Explorer" order="6" />
      <window_info id="Capture Tool" order="7" />
      <window_info id="Favorites" order="8" side_tool="true" />
      <window_info anchor="bottom" id="Run" order="0" weight="0.16585366" />
      <window_info anchor="bottom" id="Logcat" order="1" weight="0.21707317" />
      <window_info anchor="bottom" id="TODO" order="2" />
      <window_info anchor="bottom" id="Android Profiler" order="3" />
      <window_info anchor="bottom" id="Debug" order="4" />
      <window_info anchor="bottom" id="Terminal" order="5" />
      <window_info anchor="bottom" id="Event Log" order="6" sideWeight="0.5006227" side_tool="true" weight="0.20226131" />
      <window_info anchor="bottom" id="Flutter Performance" order="7" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="8" />
      <window_info anchor="bottom" id="Build" order="9" sideWeight="0.49937734" visible="true" weight="0.11463415" />
      <window_info anchor="right" id="Device File Explorer" order="0" side_tool="true" weight="0.3325031" />
      <window_info anchor="right" id="Capture Analysis" order="1" />
      <window_info anchor="right" id="Gradle" order="2" />
      <window_info anchor="right" id="Theme Preview" order="3" />
      <window_info anchor="right" id="Flutter Inspector" order="4" />
      <window_info anchor="right" id="Flutter Outline" order="5" />
      <window_info anchor="right" id="Palette&#9;" order="6" />
      <window_info anchor="right" id="Preview" order="7" />
      <window_info anchor="right" id="StringPreview" order="8" />
    </layout>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/lib_common/src/main/java/com/maniu/lib_common/base.java" />
    <entry file="file://$PROJECT_DIR$/app/src/main/res/values/dimens.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-172" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_cache/build/generated/source/apt/debug/androidx/databinding/library/baseAdapters/BR.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="50">
          <caret line="2" column="13" selection-start-line="2" selection-start-column="13" selection-end-line="2" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/build/generated/source/apt/debug/com/maniu/mn_vip_jetpack_all/DataBinderMapperImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-93">
          <caret line="8" selection-start-line="8" selection-end-line="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_common/src/main/java/com/maniu/lib_common/util/AppGlobals.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="399">
          <caret line="21" column="51" selection-start-line="21" selection-start-column="51" selection-end-line="21" selection-end-column="51" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_cache/build/generated/source/apt/debug/com/maniu/lib_cache/dao/UserDao_Impl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="525">
          <caret line="46" column="9" lean-forward="true" selection-start-line="46" selection-start-column="9" selection-end-line="46" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.core/core/1.3.0/1acbde5fef5f77f6920e9f9a5dbe1ca217a64bc0/core-1.3.0-sources.jar!/androidx/core/app/ActivityRecreator.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="124">
          <caret line="76" selection-start-line="76" selection-end-line="76" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_cache/build/generated/source/apt/debug/com/maniu/lib_cache/datebase/CacheDataBase_Impl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-600">
          <caret line="25" column="35" selection-start-line="25" selection-start-column="27" selection-end-line="25" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_cache/src/main/java/com/maniu/lib_cache/dao/UserDao.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="175">
          <caret line="22" column="9" selection-start-line="22" selection-start-column="9" selection-end-line="22" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/Documents/AndroidStudio/DeviceExplorer/emulator-5554/data/data/com.maniu.mn_vip_jetpack_all/databases/db" />
    <entry file="file://$PROJECT_DIR$/lib_common/src/main/java/com/maniu/lib_common/base/BaseApplication.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="100">
          <caret line="4" column="28" selection-start-line="4" selection-start-column="13" selection-end-line="4" selection-end-column="28" />
          <folding>
            <element signature="e#161#162#0" expanded="true" />
            <element signature="e#193#194#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_common/src/main/java/com/maniu/lib_common/base/BaseActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="3" selection-start-line="3" selection-end-line="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_common/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="575">
          <caret line="32" selection-start-line="32" selection-end-line="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_cache/src/main/java/com/maniu/lib_cache/model/User.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="311">
          <caret line="58" column="13" selection-start-line="58" selection-start-column="13" selection-end-line="58" selection-end-column="13" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_cache/src/main/java/com/maniu/lib_cache/datebase/CacheDataBase.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="186">
          <caret line="14" column="12" selection-start-line="14" selection-start-column="12" selection-end-line="14" selection-end-column="12" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/AndroidManifest.xml">
      <provider editor-type-id="android-manifest" />
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="207">
          <caret line="13" lean-forward="true" selection-start-line="13" selection-end-line="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_all/main/CFragment.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="50">
          <caret line="2" selection-start-line="2" selection-end-line="2" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_all/main/DFragment.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="50">
          <caret line="2" selection-start-line="2" selection-end-line="2" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_login.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="181">
          <caret line="51" selection-start-line="51" selection-end-line="51" />
        </state>
      </provider>
      <provider editor-type-id="android-designer2" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_all/main/EFragment.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="125">
          <caret line="6" column="42" selection-start-line="6" selection-start-column="42" selection-end-line="6" selection-end-column="42" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_cache/src/main/java/com/maniu/lib_cache/view_model/LoginActivityViewModel.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="299">
          <caret line="37" column="21" selection-start-line="37" selection-start-column="13" selection-end-line="37" selection-end-column="21" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.navigation/navigation-fragment/2.3.0/1b8d55b17ab1f3f2f7571e4882b6f90f58232022/navigation-fragment-2.3.0-sources.jar!/androidx/navigation/fragment/NavHostFragment.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="184">
          <caret line="77" column="13" selection-start-line="77" selection-start-column="13" selection-end-line="77" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/mipmap-xxxhdpi/cate.png">
      <provider selected="true" editor-type-id="images" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/menu/menu_navigation_index.xml" />
    <entry file="file://$PROJECT_DIR$/app/src/main/res/drawable-v24/ic_menu_camera.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/menu/menu_drawer_left.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="200">
          <caret line="8" column="51" lean-forward="true" selection-start-line="8" selection-start-column="51" selection-end-line="8" selection-end-column="51" />
        </state>
      </provider>
      <provider editor-type-id="android-designer2" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/menu/menu.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="225">
          <caret line="15" column="30" selection-start-line="15" selection-start-column="30" selection-end-line="15" selection-end-column="30" />
        </state>
      </provider>
      <provider editor-type-id="android-designer2" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/drawer_header.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="125">
          <caret line="23" column="13" lean-forward="true" selection-start-line="23" selection-start-column="13" selection-end-line="23" selection-end-column="13" />
        </state>
      </provider>
      <provider editor-type-id="android-designer2" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="354">
          <caret line="35" column="29" selection-start-line="35" selection-start-column="29" selection-end-line="35" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/drawable/menu_select.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/layout_toolbar.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="25">
          <caret line="1" column="8" lean-forward="true" selection-start-line="1" selection-start-column="8" selection-end-line="1" selection-end-column="8" />
        </state>
      </provider>
      <provider editor-type-id="android-designer2" />
    </entry>
    <entry file="android-dummy://F:/MN_Android/MN_VIP_JetPack_All/app/Translations Editor">
      <provider selected="true" editor-type-id="string-resource-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/values/strings.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="250">
          <caret line="10" column="36" selection-start-line="10" selection-start-column="36" selection-end-line="10" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/fragment_b.xml">
      <provider selected="true" editor-type-id="text-editor" />
      <provider editor-type-id="android-designer2" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_all/main/BFragment.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="225">
          <caret line="9" column="29" selection-start-line="9" selection-start-column="29" selection-end-line="9" selection-end-column="29" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#225#226#0" expanded="true" />
            <element signature="e#267#268#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_common/src/main/java/com/maniu/lib_common/base/BaseFragment.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="211">
          <caret line="16" column="64" selection-start-line="16" selection-start-column="64" selection-end-line="16" selection-end-column="64" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_cache/src/main/java/com/maniu/lib_cache/view_model/MainActivityViewModel.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="100">
          <caret line="4" column="34" selection-start-line="4" selection-start-column="13" selection-end-line="4" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/navigation/nav_graph.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="3" column="26" selection-start-line="3" selection-start-column="26" selection-end-line="3" selection-end-column="26" />
        </state>
      </provider>
      <provider editor-type-id="nav-designer" />
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_cache/src/main/java/com/maniu/lib_cache/model/Story.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="434">
          <caret line="42" column="40" lean-forward="true" selection-start-line="42" selection-start-column="40" selection-end-line="42" selection-end-column="40" />
          <folding>
            <element signature="e#466#467#0" expanded="true" />
            <element signature="e#494#495#0" expanded="true" />
            <element signature="e#617#618#0" expanded="true" />
            <element signature="e#645#646#0" expanded="true" />
            <element signature="e#689#690#0" expanded="true" />
            <element signature="e#723#724#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_cache/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="459">
          <caret line="42" column="61" selection-start-line="42" selection-start-column="61" selection-end-line="42" selection-end-column="61" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_cache/src/main/res/layout/item_story.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="51">
          <caret line="20" selection-start-line="20" selection-end-line="20" />
        </state>
      </provider>
      <provider editor-type-id="android-designer2" />
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_cache/src/main/java/com/maniu/lib_cache/adapter/StoryAdapter.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="594">
          <caret line="35" column="48" lean-forward="true" selection-start-line="35" selection-start-column="48" selection-end-line="35" selection-end-column="48" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="80">
          <caret line="25" column="34" selection-start-line="25" selection-start-column="34" selection-end-line="25" selection-end-column="34" />
        </state>
      </provider>
      <provider editor-type-id="android-designer2" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/fragment_a.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="150">
          <caret line="6" column="17" lean-forward="true" selection-start-line="6" selection-start-column="17" selection-end-line="6" selection-end-column="17" />
        </state>
      </provider>
      <provider editor-type-id="android-designer2" />
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_common/src/main/java/com/maniu/lib_common/util/LiveDataBus.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="675">
          <caret line="40" lean-forward="true" selection-start-line="40" selection-end-line="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_all/main/AFragment.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="484">
          <caret line="37" column="42" selection-start-line="37" selection-start-column="42" selection-end-line="37" selection-end-column="42" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#226#227#0" expanded="true" />
            <element signature="e#268#269#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_cache/src/main/java/com/maniu/lib_cache/view_model/AFragmentViewModel.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="125">
          <caret line="11" column="48" selection-start-line="11" selection-start-column="48" selection-end-line="11" selection-end-column="48" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_all/login/LoginActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-34">
          <caret line="22" column="33" selection-start-line="22" selection-start-column="33" selection-end-line="22" selection-end-column="33" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_all/main/MainActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="494">
          <caret line="64" column="89" lean-forward="true" selection-start-line="64" selection-start-column="7" selection-end-line="64" selection-end-column="89" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>